D_LIB_PATH=C:\D\dmd2\windows\lib
WIN32_PATH=C:\D\Libraries\win32\trunk
DWIN32_PATH=..\DWin32
DOPENGL_PATH=..\DOpenGL

PROJECT=Obelisk_Release.lib
SHARED_SOURCE_FILES=Obelisk\CCollection.d Obelisk\CColour.d Obelisk\CStack.d Obelisk\CTexture.d Obelisk\CVector.d Obelisk\EKey.d Obelisk\IMainController.d Obelisk\IObelisk.d Obelisk\IThread.d Obelisk\IThreadObelisk.d Shared\CObeliskException.d
SOURCE_FILES=Windows\Main.d Windows\CApplication.d Windows\CThreadWrapper.d $(SHARED_SOURCE_FILES)
LIB_FILES="$(WIN32_PATH)\win32.lib" "$(D_LIB_PATH)\gdi32.lib" "$(D_LIB_PATH)\comctl32.lib" "$(D_LIB_PATH)\ole32.lib" "$(DWIN32_PATH)\Import\shlwapi.lib" "$(DOPENGL_PATH)\Import\opengl32.lib"

$(PROJECT): $(SOURCE_FILES)
	dmd -lib -w -wi -release -I"$(WIN32_PATH)" -I"$(DWIN32_PATH)" -I"$(DOPENGL_PATH)\Source" -version=Unicode -version=Windows2003 -version=IE4 -of"$(PROJECT)" $(SOURCE_FILES) $(LIB_FILES)

clean:
	del $(PROJECT)