﻿module Obelisk.CTexture;
import DOpenGL.gl;

class CTexture
{
	private int mXSize;
	private int mYSize;
	private float mXRatio;
	private float mYRatio;
	private GLuint mTextureName;

	public this()
	{
	}



	public this(int aXSize, int aYSize, float aXRatio, float aYRatio, GLuint aTextureName)
	{
		mXSize = aXSize;
		mYSize = aYSize;
		mXRatio = aXRatio;
		mYRatio = aYRatio;
		mTextureName = aTextureName;
	}



	public int GetXSize()
	{
		return mXSize;
	}



	public int GetYSize()
	{
		return mYSize;
	}



	public float GetXRatio()
	{
		return mXRatio;
	}



	public float GetYRatio()
	{
		return mYRatio;
	}



	public GLuint GetTextureName()
	{
		return mTextureName;
	}
}