﻿module Obelisk.CColour;

class CColour
{
	public float R;
	public float G;
	public float B;

	public this()
	{
		R = 0;
		G = 0;
		B = 0;
	}



	public this(float aR, float aG, float aB)
	{
		assert(aR >= 0 && aR <= 1 && aG >= 0 && aG <= 1 && aB >= 0 && aB <= 1);
		R = aR;
		G = aG;
		B = aB;
	}



	public override bool opEquals(Object o)
	{
		auto Colour = cast(CColour)o;
		return R == Colour.R && G == Colour.G && B == Colour.B;
	}
}